Bug 174089 - [patch] lang/libhx -- update to 3.14
Summary: [patch] lang/libhx -- update to 3.14
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sylvio Cesar Teixeira
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-03 16:00 UTC by Pietro Cerutti
Modified: 2013-01-08 13:46 UTC (History)
0 users

See Also:


Attachments
file.diff (1.73 KB, patch)
2012-12-03 16:00 UTC, Pietro Cerutti
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pietro Cerutti freebsd_committer 2012-12-03 16:00:00 UTC
The patch attached updates lang/libhx to the latest 3.14 version. This also has the neat side-effect of fixing the build with clang.
In addition, I've trimmed the Makefile header.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-12-03 16:00:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sylvio

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Pietro Cerutti freebsd_committer 2013-01-08 10:22:40 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 3 dfilter service freebsd_committer 2013-01-08 10:22:47 UTC
Author: gahr
Date: Tue Jan  8 10:22:33 2013
New Revision: 310081
URL: http://svnweb.freebsd.org/changeset/ports/310081

Log:
  - Update to 3.14.1
  
  PR:		174089
  Submitted by:	gahr
  Approved by:	maintainer (timeout > 1 month)

Modified:
  head/lang/libhx/Makefile   (contents, props changed)
  head/lang/libhx/distinfo   (contents, props changed)
  head/lang/libhx/pkg-plist   (contents, props changed)

Modified: head/lang/libhx/Makefile
==============================================================================
--- head/lang/libhx/Makefile	Tue Jan  8 10:10:21 2013	(r310080)
+++ head/lang/libhx/Makefile	Tue Jan  8 10:22:33 2013	(r310081)
@@ -1,17 +1,13 @@
-# New ports collection makefile for:	libhx
-# Date created:		2009-06-20
-# Whom:			Sylvio Cesar <sylvio@FreeBSD.org>
-#
+# Created by: Sylvio Cesar <sylvio@FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTNAME=	libHX
-PORTVERSION=	3.10.1
+PORTVERSION=	3.14.1
 CATEGORIES=	lang
 MASTER_SITES=	SF/${PORTNAME:L}/${PORTNAME}/${PORTVERSION}
 
 MAINTAINER=	sylvio@FreeBSD.org
-COMMENT=	Library C with some additional C++ bindings available
+COMMENT=	C/C++ library with common data structures and functions
 
 CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
@@ -20,15 +16,13 @@ USE_XZ=		yes
 USE_LDCONFIG=	yes
 GNU_CONFIGURE=	yes
 USE_AUTOTOOLS=	libtool
-CONFIGURE_ARGS+=--with-pkgconfigdir=${PREFIX}/libdata/pkgconfig
+CONFIGURE_ARGS+=--with-pkgconfigdir=${LOCALBASE}/libdata/pkgconfig
 
 .if !defined(NOPORTDOCS)
 PORTDOCS=	*
 DOCSDIR=	${PREFIX}/share/doc/${PORTNAME:L}
 .endif
 
-MAN1=		hxdirstamp.1
-
 post-patch:
 	${REINPLACE_CMD} -e 's| -lrt||g' ${WRKSRC}/src/Makefile.in
 .if defined(NOPORTDOCS)

Modified: head/lang/libhx/distinfo
==============================================================================
--- head/lang/libhx/distinfo	Tue Jan  8 10:10:21 2013	(r310080)
+++ head/lang/libhx/distinfo	Tue Jan  8 10:22:33 2013	(r310081)
@@ -1,2 +1,2 @@
-SHA256 (libHX-3.10.1.tar.xz) = cb19ea6a7e4e9a23f7b6c61aefaadc875ad47ac8f7df9febc29d6bab82876bc4
-SIZE (libHX-3.10.1.tar.xz) = 801748
+SHA256 (libHX-3.14.1.tar.xz) = a1550dc9cb8d441dce83dbd1f2b609ae45439e95568c945499d0a084cc76f1e6
+SIZE (libHX-3.14.1.tar.xz) = 858960

Modified: head/lang/libhx/pkg-plist
==============================================================================
--- head/lang/libhx/pkg-plist	Tue Jan  8 10:10:21 2013	(r310080)
+++ head/lang/libhx/pkg-plist	Tue Jan  8 10:22:33 2013	(r310081)
@@ -12,9 +12,12 @@ include/libHX/option.h
 include/libHX/proc.h
 include/libHX/string.h
 include/libHX/wx_helper.hpp
+lib/libHX_rtcheck.a
+lib/libHX_rtcheck.la
+lib/libHX_rtcheck.so
 lib/libHX.a
 lib/libHX.la
 lib/libHX.so
-lib/libHX.so.27
+lib/libHX.so.29
 libdata/pkgconfig/libHX.pc
 @dirrm include/libHX
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Sylvio Cesar Teixeira freebsd_committer 2013-01-08 13:24:53 UTC
2013/1/8 <gahr@freebsd.org>

> Synopsis: [patch] lang/libhx -- update to 3.14
>
> State-Changed-From-To: open->closed
> State-Changed-By: gahr
> State-Changed-When: Tue Jan 8 10:22:40 UTC 2013
> State-Changed-Why:
> Committed, with minor changes. Thanks!
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=174089
>


where I authorized this update?
Comment 5 Pietro Cerutti freebsd_committer 2013-01-08 13:28:23 UTC
On 2013-Jan-08, 11:24, Sylvio Cesar wrote:
> 2013/1/8 <gahr@freebsd.org>
> 
> > Synopsis: [patch] lang/libhx -- update to 3.14
> >
> > State-Changed-From-To: open->closed
> > State-Changed-By: gahr
> > State-Changed-When: Tue Jan 8 10:22:40 UTC 2013
> > State-Changed-Why:
> > Committed, with minor changes. Thanks!
> >
> > http://www.freebsd.org/cgi/query-pr.cgi?pr=174089
> >
> 
> where I authorized this update?


You failed to provide any feedback on this for over a month.
This, according to [1], is a maintainer timeout.

[1] http://www.freebsd.org/doc/en/books/porters-handbook/book.html#makefile-maintainer

-- 
Pietro Cerutti
The FreeBSD Project
gahr@FreeBSD.org

PGP Public Key:
http://gahr.ch/pgp